{
  services.udev.extraRules = /* udevrules */ ''
    # ST-Link
    SUBSYSTEMS=="usb", ATTRS{idVendor}=="0483", ATTRS{idProduct}=="3748", \
        MODE:="0666"

    # Steam emulated controller
    KERNEL=="uinput", SUBSYSTEM=="misc", TAG+="uaccess", OPTIONS+="static_node=uinput"
  '';

  boot.kernelModules = [ "uinput" ];
}
